import { INews } from './types';
import useRequest from './useRequest';
import userRestQueries from './useRestQueries';

const useGetNewsList = (data?: INews[]) => {
  const { get } = userRestQueries();
  const request = get<INews[]>('/api/v1/news');

  return useRequest<INews[]>({ request, initialData: data });
};

export default useGetNewsList;
