import React from 'react';
import { Route, Switch } from 'react-router';
import NewsPage from '../../components/NewsPage';

const MainRouting: React.FC = () => (
  <Switch>
    <Route path="/" exact>
      Hello
    </Route>
    <Route path="/news">
      <NewsPage />
    </Route>
  </Switch>
);

export default MainRouting;
